Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7970 - zforce fails to force a .gz on a gzipped file
Summary: zforce fails to force a .gz on a gzipped file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gzip
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 15:17 UTC by David Lawrence
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 22:59:08 UTC


Attachments (Terms of Use)

Description Derek Tattersall 1999-12-23 15:17:23 UTC
zforce should force a '.gz' ending on a gzipped file which does not have
that extension.  However it doesn't.  The offending line, line 27 in the
zforce script, greps for "defl" in the output of gzip -l.  gzip -l doesn't
emit a line with defl in it, so the test fails and the filename is not
modified.

Comment 1 Elliot Lee 2000-02-03 22:59:59 UTC
Is fixed in gzip-1.2.4-15 - thanks for the detailed bug report.


Note You need to log in before you can comment on or make changes to this bug.